Bug 601791 - Size of NTFS partitions on Intel BIOS RAID not detected properly
Size of NTFS partitions on Intel BIOS RAID not detected properly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-08 12:00 EDT by Adam Huffman
Modified: 2011-06-27 13:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 13:48:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (4.07 KB, text/plain)
2010-06-08 14:20 EDT, Adam Huffman
no flags Details
program.log (2.55 KB, text/plain)
2010-06-08 14:21 EDT, Adam Huffman
no flags Details
storage.log (82.73 KB, text/plain)
2010-06-08 14:21 EDT, Adam Huffman
no flags Details
syslog (54.09 KB, text/plain)
2010-06-08 14:22 EDT, Adam Huffman
no flags Details
storage.log (76.13 KB, text/plain)
2010-06-11 06:19 EDT, Adam Huffman
no flags Details
program.log (3.10 KB, text/plain)
2010-06-11 06:20 EDT, Adam Huffman
no flags Details
anaconda.log (4.06 KB, application/octet-stream)
2010-06-11 06:21 EDT, Adam Huffman
no flags Details
syslog (55.05 KB, text/plain)
2010-06-11 06:21 EDT, Adam Huffman
no flags Details

  None (edit)
Description Adam Huffman 2010-06-08 12:00:35 EDT
Description of problem:

I've just been trying to install F13 on a Dell T1500 workstation, which comes with an Intel BIOS RAID1 setup, with several existing partitions - one for the Dell diagnostics and two for Windows 7.

In the installer I selected the "shrink" option, hoping to shrink the Windows 7 partition, to create space for Fedora.  The RAID1 set had been detected under the "specialized" storage menu and in the Shrink window two NTFS partitions were shown - /dev/md127p2 and p3.  However, both were listed as size 0MB and it wouldn't let me select a size.

I'll try again, to see if I can recover the log files.

Version-Release number of selected component (if applicable):
Fedora 13 GA

How reproducible:
Every time - I've tried it twice

Steps to Reproduce:
1. Select Shrink existing on Intel RAID1 set with NTFS partitions
2.
3.
  
Actual results:
Size of NTFS partitions not detected, meaning that shrinking them is not possible

Expected results:


Additional info:
Comment 1 Chris Lumens 2010-06-08 14:15:09 EDT
We'll need the logs to be able to do anything here.
Comment 2 Adam Huffman 2010-06-08 14:20:54 EDT
Created attachment 422304 [details]
anaconda.log
Comment 3 Adam Huffman 2010-06-08 14:21:22 EDT
Created attachment 422305 [details]
program.log
Comment 4 Adam Huffman 2010-06-08 14:21:44 EDT
Created attachment 422306 [details]
storage.log
Comment 5 Adam Huffman 2010-06-08 14:22:02 EDT
Created attachment 422307 [details]
syslog
Comment 6 Adam Huffman 2010-06-10 16:47:23 EDT
Just to let you know, I'm going to have to install this system tomorrow, so I may have to just remove the existing NTFS partitions.  Let me know if it's worth capturing anything first e.g. RAID metadata.
Comment 7 Hans de Goede 2010-06-11 02:25:04 EDT
Hi Adam,

The logs which you've attached seem to be from a livecd installation attempt, where as the original report you filed talks about /dev/md127p2 and p3. which suggests it was done using a normal installation dvd, or atleast that you removed the "noiswmd" option from the syslinux cmdline before starting the livecd (maybe you started it with the verify option, that is missing the livecd noiswmd option which is a known bug ?).

Also if the original installation attempt was a livecd install too, have you tried unmounting the ntfs volumes before starting the installer ?

When you collected the logs (which is a different scenario then the original report or so it seems) did you try to resize again ?

Let me try to explain a bit. Intel BIOS RAID sets can be "driven" under Linux in 2 ways with dmraid (as in the logs you attached) or with mdraid. mdraid is the preferred method and used by the installation dvd. But there used to be some issues with using mdraid for Intel BIOS RAID with livecd's so livecd's contain the noiswmd cmdline option (*) in their isolinux.cfg, which causes the initrd, initscripts and anaconda to use dmraid instead. Your logs indicate a normal livecd run, so your raid sets where driven by dmraid. However your original report talks about /dev/md127* which means mdraid was used there.

*) This will be fixed in Fedora 14 where we will always use mdraid for Intel
RAID even with livecds

Regards,

Hans
Comment 8 Adam Huffman 2010-06-11 03:19:24 EDT
No, it was with the DVD but I did add the 'noiswmd' option in case it made a difference, having encountered variations of this bug before.  The previous attempt, which also didn't work, was also from the DVD.

If I have time before the installation today, I'll collect the logs again without the 'noiswmd' option.  Let me know if you'd like any other information.  From what I saw, the only difference between using and not using that option is the naming of the partitions - the error was the same.
Comment 9 Hans de Goede 2010-06-11 03:27:31 EDT
(In reply to comment #8)
> No, it was with the DVD but I did add the 'noiswmd' option in case it made a
> difference, having encountered variations of this bug before.  The previous
> attempt, which also didn't work, was also from the DVD.
> 
> If I have time before the installation today, I'll collect the logs again
> without the 'noiswmd' option.  Let me know if you'd like any other information.
>  From what I saw, the only difference between using and not using that option
> is the naming of the partitions - the error was the same.    

Thx for the info. Having logs without the noiswmd while you are at it would be good. Other then that I think we should have enough info to figure out what is going on here.
Comment 10 Adam Huffman 2010-06-11 06:19:45 EDT
Created attachment 423227 [details]
storage.log
Comment 11 Adam Huffman 2010-06-11 06:20:16 EDT
Created attachment 423228 [details]
program.log
Comment 12 Adam Huffman 2010-06-11 06:21:05 EDT
Created attachment 423229 [details]
anaconda.log

log without noiswmd boot parameter
Comment 13 Adam Huffman 2010-06-11 06:21:40 EDT
Created attachment 423230 [details]
syslog

log without noiswmd boot parameter
Comment 14 Adam Huffman 2010-06-11 06:22:05 EDT
Comment on attachment 423227 [details]
storage.log

log without noiswmd boot parameter
Comment 15 Adam Huffman 2010-06-11 06:22:26 EDT
Comment on attachment 423228 [details]
program.log

log without noiswmd boot parameter
Comment 16 Adam Huffman 2010-06-11 06:25:16 EDT
Here are the log files - I've deleted the Windows partitions now.
Comment 17 Bug Zapper 2011-06-02 07:34:19 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2011-06-27 13:48:40 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.